PANDA_CREATEFONT(3)

NAME
panda_createfont - return a handle to the requested font

SYNOPSIS
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 char * panda_createfont (panda_pdf * output, char *fontname, int type, char *encoding)

DESCRIPTION

<command>PANDA INTERNAL</command>. This funtion call creates a font object for the requested font and returns the identifier that should be used when the font is set within the PDF document.

RETURNS

A font identifier (handle) as a null terminated string.

EXAMPLE
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 panda_pdf *output;
 char *fonthandle;
 panda_init();
 output = panda_open("output.pdf", "w");
 fonthandle = (output, "Helventica", 3, "MacRomanEncoding");

SEE ALSO

panda_setfont

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.